> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List bindings of this group still pointing at a DISABLED version (orphans)

> **Security Requirements**

| Auth Types | Entities | Permissions | Required Roles |
|------------|----------|-------------|----------------|
| USER | TENANT | READ | TENANT:READ |



## OpenAPI

````yaml /openapi/swarmd.json get /relay/v1/policy-groups/{groupId}/orphan-bindings
openapi: 3.1.0
info:
  title: Relay
  version: v0
servers:
  - url: https://api.dev.swarmd.ai
    description: Development
security: []
tags:
  - name: Policy Groups
    x-displayName: Policy Groups
  - name: Policy Bindings
    x-displayName: Policy Bindings
  - name: Evaluation Packs
    x-displayName: Evaluation Packs
  - name: Webhooks
    x-displayName: Webhooks
  - name: MCP JSON-RPC
    x-displayName: MCP JSON-RPC
  - name: Conversations
    x-displayName: Conversations
  - name: Human JSON-RPC
    x-displayName: Human JSON-RPC
  - name: Channel JSON-RPC
    x-displayName: Channel JSON-RPC
  - name: HITL Approvals
    x-displayName: HITL Approvals
  - name: Agent JSON-RPC
    x-displayName: Agent JSON-RPC
  - name: Tasks
    x-displayName: Tasks
  - name: Push Notifications
    x-displayName: Push Notifications
  - name: Messaging
    x-displayName: Messaging
  - name: LLM Runtime
    x-displayName: LLM Runtime
  - name: Agent Discovery
    x-displayName: Agent Discovery
  - name: MCP Servers
    x-displayName: MCP Servers
  - name: LLM Gateways
    x-displayName: LLM Gateways
  - name: Agents
    x-displayName: Agents
  - name: User Subscriptions
    x-displayName: User Subscriptions
  - name: LLM Providers
    x-displayName: LLM Providers
  - name: LLM Gateway Subscriptions
    x-displayName: LLM Gateway Subscriptions
  - name: Kill Switches
    x-displayName: Kill Switches
  - name: Channels
    x-displayName: Channels
  - name: Channel Subscriptions
    x-displayName: Channel Subscriptions
  - name: Agent Subscriptions
    x-displayName: Agent Subscriptions
  - name: Marketplace
    x-displayName: Marketplace
  - name: Identity Providers
    x-displayName: Identity Providers
  - name: Groups
    x-displayName: Groups
  - name: Authentication
    x-displayName: Authentication
  - name: Users
    x-displayName: Users
  - name: Tenants
    x-displayName: Tenants
  - name: mcp-consent-controller
    x-displayName: mcp-consent-controller
  - name: Audit Monitors
    x-displayName: Audit Monitors
  - name: Audit Integrity
    x-displayName: Audit Integrity
  - name: Audit Events
    x-displayName: Audit Events
  - name: Audit Traces
    x-displayName: Audit Traces
  - name: audit-rest-controller
    x-displayName: audit-rest-controller
  - name: Audit Dashboard
    x-displayName: Audit Dashboard
  - name: A2A Payments
    x-displayName: A2A Payments
paths:
  /relay/v1/policy-groups/{groupId}/orphan-bindings:
    get:
      tags:
        - Policy Groups
      summary: >-
        List bindings of this group still pointing at a DISABLED version
        (orphans)
      description: |-
        **Security Requirements**

        | Auth Types | Entities | Permissions | Required Roles |
        |------------|----------|-------------|----------------|
        | USER | TENANT | READ | TENANT:READ |
      operationId: getOrphanedBindings
      parameters:
        - name: groupId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Relay_PolicyBindingResponse'
      security:
        - Relay_bearerAuth: []
components:
  schemas:
    Relay_PolicyBindingResponse:
      type: object
      properties:
        bindingId:
          type: string
          format: uuid
        version:
          type: string
        groupId:
          type: string
          format: uuid
        groupName:
          type: string
        groupVersion:
          type: string
        isLatestGroupVersion:
          type: boolean
        bindingLevel:
          type: string
          enum:
            - TENANT
            - ANY_TO_AGENT
            - AGENT_TO_AGENT
            - USER_TO_AGENT
            - CHANNEL_TO_ANY_AGENT
            - CHANNEL_TO_AGENT
            - ANY_TO_MCP_SERVER
            - ANY_TO_LLM_GATEWAY
            - AGENT_TO_MCP_SERVER
            - AGENT_TO_LLM_GATEWAY
            - USER_TO_LLM_GATEWAY
        agent:
          $ref: '#/components/schemas/Relay_AgentRef'
        sourceAgent:
          $ref: '#/components/schemas/Relay_AgentRef'
        sourceUser:
          $ref: '#/components/schemas/Relay_UserRef'
        sinkAgent:
          $ref: '#/components/schemas/Relay_AgentRef'
        channel:
          $ref: '#/components/schemas/Relay_ChannelRef'
        mcpServer:
          $ref: '#/components/schemas/Relay_McpServerRef'
        llmGateway:
          $ref: '#/components/schemas/Relay_LlmGatewayRef'
        priority:
          type: integer
          format: int32
        validFrom:
          type: string
          format: date-time
        validTo:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
    Relay_AgentRef:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
    Relay_UserRef:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
    Relay_ChannelRef:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
    Relay_McpServerRef:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
    Relay_LlmGatewayRef:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
  securitySchemes:
    Relay_bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token (USER, AGENT, or SERVICE auth)

````